SoSFBitMask(3)

NAME
SoSFBitMask - The SoSFBitMask class is a container for a set of bit flags.

SYNOPSIS

#include <Inventor/fields/SoSFBitMask.h>

Inherits SoSFEnum.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFBitMask & operator= (const SoSFBitMask &field)
virtual SbBool isSame (const SoField &field) const
int operator= (int newvalue)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Additional Inherited Members

Detailed Description

The SoSFBitMask class is a container for a set of bit flags. This field is used where nodes, engines or other field containers needs to store one particular set of bit flags from an enumerated set.

A field of this type stores its value to file as the symbolic names, rather than the actual integer bitmask. If more than one bit is set in the value when exporting, the bits are written like this: '(BITNAME|BITNAME|BITNAME|...)'.

SoSFBitMask instances are derived from SoSFEnum instances, and are initialized in the same way using the exact same enum-field-related macros.

See also
    SoMFBitMask, SoSFEnum

Member Function Documentation

  void * SoSFBitMask::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFBitMask::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFBitMask::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoSFEnum.

  void SoSFBitMask::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Reimplemented from SoSFEnum.

  SbBool SoSFBitMask::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Reimplemented from SoSFEnum.

  void SoSFBitMask::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.